    NAME
         qmod - modify a Grid Engine queue

    SYNTAX
         qmod [ options ] [ wc_job_range_list | wc_queue_list ]

    DESCRIPTION
         Qmod enables users classified as owners  (see  queue_conf(5)
         for  details)  of  a workstation to modify the state of Grid
         Engine queues for his/her machine as well as  the  state  of
         his/her  own  jobs.   A manager/operator or root can execute
         qmod for any queue and job in  a  cluster.  Find  additional
         information  concerning  wc_queue_list  and  wc_job_list  in
         sge_types(1).

    OPTIONS
         -c   Clears   the   error    state    of    the    specified
              jobs(s)/queue(s).   Do not use this switch anymore, use
              -cj / -cq instead.

         -cj  Clears the error state of the specified jobs(s).

         -cq  Clears the error state of the specified queue(s).

         -d   Disables  the  queue(s),  i.e.  no  further  jobs   are
              dispatched  to  disabled queues while jobs already exe-
              cuting in these queues are allowed to finish.

         -e   Enables the queue(s).

         -f   Force the modification action for the queue despite the
              apparent  current  state of the queue. For example if a
              queue appears to be suspended  but  the  job  execution
              seems to be continuing the manager/operator can force a
              suspend operation which will  send  a  SIGSTOP  to  the
              jobs.  In any case, the queue or job status will be set
              even if the sge_execd(8)  controlling  the  queues/jobs
              cannot    be    reached.    Requires   manager/operator
              privileges.

         -help
              Prints a listing of all options.

         -r   If applied to queues, reschedules  all  jobs  currently
              running  in  this  queue.   If applied to running jobs,
              reschedules  the  jobs.  Requires   root   or   manager
              privileges.  Do not use this switch anymore, use -rj /-
              rq instead.

         -rj  If applied  to  running  jobs,  reschedules  the  jobs.
              Requires root or manager privileges.

         -rq  If applied to queues, reschedules  all  jobs  currently
              running  in  this  queue.   Requires  root  or  manager
              privileges.

         -s   If applied to queues, suspends the queues and any  jobs
              which  might  be  active.  If  applied to running jobs,
              suspends the jobs. Do not use this switch anymore,  use
              -sj / -sq instead.

         -sj  If applied to running jobs, suspends the jobs. If a job
              is  both suspended explicitly and via suspension of its
              queue, a following unsuspend  of  the  queue  will  not
              release the suspension state on the job.

         -sq  If applied to queues, suspends the queues and any  jobs
              which might be active.

         -us  If applied to queues, unsuspends  the  queues  and  any
              jobs  which  might  be  active.  If  applied  to  jobs,
              unsuspends the jobs. Do not use  this  switch  anymore,
              use -usj / -usq instead.

         -usj If applied to jobs, unsuspends the jobs. If  a  job  is
              both  suspended  explicitly  and  via suspension of its
              queue, a following unsuspend  of  the  queue  will  not
              release the suspension state on the job.

         -usq If applied to queues, unsuspends  the  queues  and  any
              jobs which might be active.

    ENVIRONMENTAL VARIABLES
         SGE_ROOT       Specifies the location  of  the  Grid  Engine
                        standard configuration files.

         SGE_CELL       If set, specifies  the  default  Grid  Engine
                        cell. To address a Grid Engine cell qmod uses
                        (in the order of precedence):

                             The name of the cell  specified  in  the
                             environment  variable SGE_CELL, if it is
                             set.

                             The  name  of  the  default  cell,  i.e.
                             default.

         SGE_DEBUG_LEVEL
                        If  set,  specifies  that  debug  information
                        should  be written to stderr. In addition the
                        level of detail in which debug information is
                        generated is defined.

         SGE_QMASTER_PORT
                        If set,  specifies  the  tcp  port  on  which
                        sge_qmaster(8) is expected to listen for com-
                        munication requests.  Most installations will
                        use  a  services  map  entry  for the service
                        "sge_qmaster" instead to define that port.

    FILES
         <sge_root>/<cell>/common/act_qmaster
                         Grid Engine master host file

    SEE ALSO
         sge_intro(1),    sge_ckpt(1),    qstat(1),    queue_conf(5),
         sge_execd(8), sge_types(1).

    COPYRIGHT
         See sge_intro(1) for a full statement of rights and  permis-
         sions.